Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSHIDService Class Reference

This service provides information about the Human Interface Device (HID) devices connected to the machine, along with associated button presses that are NOT automatically handled by the SDK. More...

`#import <CSHIDService.h>`

Inherits NSObject.

## Instance Methods
(void) | - updateDevicesForCallControlExclusion:
| Updates a list of devices for which call control should be deactivated or disallowed. More...

## Properties
id< CSHIDServiceDelegate > | delegate
| Notifications about service state change. More...

## Detailed Description

This service provides information about the Human Interface Device (HID) devices connected to the machine, along with associated button presses that are NOT automatically handled by the SDK.

In computing, the USB human interface device class (USB HID class) is a part of the USB specification for computer peripherals: it specifies a device class (a type of computer hardware) for human interface devices such as keyboards, mice, game controllers and alphanumeric display devices. In the context of the SDK, these devices are typically USB-connected telephony headsets or speakerphones.

Note that any button presses that are automatically handled by the SDK are not reported.

Currently, the only button reported is CSHIDButtonTypeRedial.

## Method Documentation

- (void) updateDevicesForCallControlExclusion: |  | (NSArray *) | devicesToExclude |

Updates a list of devices for which call control should be deactivated or disallowed.

Parameters

  devicesToExclude | An array containing GUIDs of call controllable devices for which call control should be deactivated (if already selected & activated) or disallowed (if selected at a later time). GUIDs of call controllable devices are as received from audioInterface

## Property Documentation

- (id<CSHIDServiceDelegate>) delegate
| read write nonatomic weak

Notifications about service state change.

The documentation for this class was generated from the following file:

- CSHIDService.h